package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.Cockpit;
import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.MultiFunctionalModel;

import java.util.List;

public interface IMSCockpitService {
    ResultState add(Cockpit cockpit);

    List<Cockpit> list( BaseExample.Page pager);

    long queryCount();

    Cockpit findById(Long id);

    ResultState editDo(Cockpit cockpit);

    ResultState delete(Long id);

}
